> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/webhooks-v2/get-all-notifications-by-webhook-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get all notifications by webhook id

> Get all notifications by webhook id (paginated)




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /webhooks/{webhookId}/notifications
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /webhooks/{webhookId}/notifications:
    get:
      tags:
        - Webhooks V2
      summary: Get all notifications by webhook id
      description: |
        Get all notifications by webhook id (paginated)
      operationId: getNotifications
      parameters:
        - name: webhookId
          required: true
          in: path
          schema:
            type: string
            example: 44fcead0-7053-4831-a53a-df7fb90d440f
            format: uuid
        - name: order
          required: false
          in: query
          description: ASC / DESC ordering (default DESC)
          schema:
            default: DESC
            example: ASC
            enum:
              - ASC
              - DESC
            type: string
        - name: sortBy
          required: false
          in: query
          description: Sort by field
          schema:
            default: updatedAt
            example: id
            enum:
              - id
              - createdAt
              - updatedAt
              - status
              - eventType
              - resourceId
            type: string
        - in: query
          name: pageCursor
          required: false
          description: Cursor of the required page
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Maximum number of items in the page
          schema:
            minimum: 1
            maximum: 100
            default: 100
            example: 10
            type: number
        - name: startTime
          required: false
          in: query
          description: >-
            Start time in milliseconds since epoch to filter by notifications
            created after this time (default 31 days ago)
          schema:
            example: 1625097600000
            type: number
        - name: endTime
          required: false
          in: query
          description: >-
            End time in milliseconds since epoch to filter by notifications
            created before this time (default current time)
          schema:
            example: 1625017600000
            type: number
        - name: statuses
          required: false
          in: query
          description: List of notification statuses to filter by
          schema:
            type: array
            items:
              $ref: '#/components/schemas/NotificationStatus'
        - name: events
          required: false
          in: query
          description: List of webhook event types to filter by
          schema:
            type: array
            items:
              $ref: '#/components/schemas/WebhookEvent'
        - name: resourceId
          required: false
          in: query
          description: Resource ID to filter by
          schema:
            type: string
            example: 44fcead0-7053-4831-a53a-df7fb90d440f
      responses:
        '200':
          description: A paginated response containing NotificationExternalDTO objects
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationPaginatedResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<NotificationPaginatedResponse>> =
            fireblocks.webhooksV2.getNotifications(webhooksV2ApiGetNotificationsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<NotificationPaginatedResponse>>
            response = fireblocks.webhooksV2().getNotifications(webhookId,
            order, sortBy, pageCursor, pageSize, startTime, endTime, statuses,
            events, resourceId);
        - lang: Python
          source: >-
            response = fireblocks.webhooks_v2.get_notifications(webhook_id,
            order, sort_by, page_cursor, page_size, start_time, end_time,
            statuses, events, resource_id);
components:
  schemas:
    NotificationStatus:
      type: string
      description: The status of the Notification
      example: COMPLETED
      enum:
        - COMPLETED
        - FAILED
        - IN_PROGRESS
        - ON_HOLD
    WebhookEvent:
      type: string
      enum:
        - transaction.created
        - transaction.status.updated
        - transaction.approval_status.updated
        - transaction.network_records.processing_completed
        - external_wallet.asset.added
        - external_wallet.asset.removed
        - internal_wallet.asset.added
        - internal_wallet.asset.removed
        - contract_wallet.asset.added
        - contract_wallet.asset.removed
        - vault_account.created
        - vault_account.asset.added
        - vault_account.asset.balance_updated
        - embedded_wallet.status.updated
        - embedded_wallet.created
        - embedded_wallet.asset.balance_updated
        - embedded_wallet.asset.added
        - embedded_wallet.account.created
        - embedded_wallet.device.added
        - onchain_data.updated
        - connection.added
        - connection.removed
        - connection.request.waiting_peer_approval
        - connection.request.rejected_by_peer
    NotificationPaginatedResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/Notification'
        total:
          type: number
          description: >-
            The total number of notifications after all filters applied (not
            returned when 'pageCursor' parameter is used)
          example: 100
          nullable: true
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    Notification:
      type: object
      properties:
        id:
          type: string
          description: The id of the Notification
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          format: uuid
        createdAt:
          type: integer
          format: int64
          description: The creation date of the notification in milliseconds
          example: 1625126400000
        updatedAt:
          type: integer
          format: int64
          description: The date when the notification was updated in milliseconds
          example: 1625126400000
        status:
          $ref: '#/components/schemas/NotificationStatus'
        eventType:
          $ref: '#/components/schemas/WebhookEvent'
        resourceId:
          type: string
          nullable: true
          default: null
          description: The resource id of the event which the Notification is listen to
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          format: uuid
      required:
        - id
        - createdAt
        - updatedAt
        - status
        - eventType
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````